.animation-all {
	width: 80%;
	margin: 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
}

.animation-all > div {
	/*width: 50%;*/
	float: left;
	color: #fff;
}

.animation-all h2 {
	margin: 0px;
	margin-bottom: 60px;
	opacity: 0;
	font-size: 55px;
	transition: all ease-in-out 0.6s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all h2 {
	transition-delay: 1s;
	opacity: 1;
}

.animation-all .an-1 {
	font-weight: 500;
	text-transform: uppercase;
	font-size: 21px;
	margin-left: 50%;
	opacity: 0;
	transition: all ease-in-out 0.6s;
	margin-bottom: 20px;
	display: table;
	letter-spacing: 1px;
	background: #00000075;
	color: #fff;
	padding: 10px 15px;
}



.animation-all .an-1.move-left {
	margin-left:  -50%;

}
.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .an-1 ,
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .an-1 {
	transition-delay: 1.3s;
	opacity: 1;
	margin-left: 0%;
}

.animation-all .an-1 span  {
	opacity: 0;
	transition: all ease-in-out 0.8s;
	margin-left: -50%;
	padding-left: 25px;
	position: relative;
	margin-right: 10px;
}

.animation-all .an-1 span.arrows:before,
.animation-all .an-1 span.arrows:after {
	content: '';
	position: absolute;
	border: solid #fff;
	border-width: 0px 0px 2px 2px;
	display: inline-block;
	top: 50%;
	transform: rotate(-48deg);
	-webkit-transform: rotate(-48deg);
	width: 11px;
	height: 6px;
	left: 12px;
	top: 50%;
	margin-top: -7px;
}



.al-img {
	margin-top: 100px;
	transform: translateY(300px);
	transition: all ease-in-out 0.8s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .al-img  {
	transform: translateY(0px);
	transition-delay: 0.3s;
}

.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all span, 
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all span {
	opacity: 1;
	transition-delay: 2s;
	margin-left: 0px;
}

.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .tr-del-1,
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-1 {
	transition-delay: 1s;
}

.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .tr-del-1-5, 
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-1-5 {
	transition-delay: 1.5s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-2,
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-2 {
	transition-delay: 2s;
}

.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .tr-del-2-5,
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-2-5 {
	transition-delay: 2.5s;
}
.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .tr-del-3, 
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-3 {
	transition-delay: 3s;
}
.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .tr-del-3-5, 
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-3-5 {
	transition-delay: 3.5s;
}
.purecss-slider-warp > input:nth-of-type(3):checked ~ ul .animation-all .tr-del-4,
.purecss-slider-warp > input:nth-of-type(2):checked ~ ul .animation-all .tr-del-4 {
	transition-delay: 4s;
}


.wrap-sdsd li {
	margin-right: 30px;
}

.wrap-sdsd li.t-delay {
	transform: translateX(40px);
	transition: all ease-in-out 0.5s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li.t-delay {
	transform: translateX(0px);
	transition-delay: 0.4s;
}

.wrap-sdsd li.t-delay .color-i {
	transform: translateY(40px);
	transition: all ease-in-out 0.5s;
	opacity: 0;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li.t-delay .color-i {
	transition-delay: 0.8s;
	transform: translateY(0px);
	opacity: 1;
}


.t-delay-left {
		transform: translateX(-40px);
	transition: all ease-in-out 0.5s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li.t-delay-left {
	transform: translateX(0px);
	transition-delay: 0.4s;
}

.wrap-sdsd li.t-delay-left .color-i {
	transform: translateX(-40px);
	transition: all ease-in-out 0.5s;
	opacity: 0;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li.t-delay-left .color-i {
	transition-delay: 1s;
	transform: translateX(0px);
	opacity: 1;
}

.button-ggg {
	overflow: visible;
}

.button-ggg a {
	transition: all ease-in-out 0.5s;
}

.button-ggg a:hover {
	text-decoration: none;
}

.button-ggg a:nth-child(1n),
.button-ggg a:nth-child(2n)
 {
	opacity: 0;
	transform: rotate(-145deg);
}

.button-ggg a:nth-child(3n),
.button-ggg a:nth-child(4n){
	transform: rotate(145deg);
	opacity: 0;
}


.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li .button-ggg a:nth-child(1n){
	opacity: 1;
	transform: rotate(5deg);
	margin: 10px;

}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li .button-ggg a:nth-child(2n) {
	transition-delay: 1.1s;
	opacity: 1;
	transform: rotate(5deg);
	margin: 10px;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li .color-bv {
	
	height: 100vh;
	width: 0%;
	transition: all ease-in-out 0.5s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li .color-bv  {
	width: 100%;
	transition-delay: 2.5s;
}

.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li .color-bv {
  -webkit-animation: bounce .5s ease-in-out;
  -moz-animation: bounce .5s ease-in-out;
}

@keyframes bounce {
  from,
  20%,
  53%,
  80%,
  to {
   background: #fff;
  }

  40%,
  43% {
  background: #000;
  }

  70% {
  background: red;
  }

  90% {
   background: #000;
  }
}


/*.purecss-slider-warp > input:nth-of-type(2):checked ~  ul li .your-contnet-style.twoooo > div {
	transition-delay: 2s;
	
	display: none;
}*/

.purecss-slider-warp > input:nth-of-type(3):checked ~  ul li .your-contnet-style.twoooo .demoallover-one {
	-webkit-animation: test .5s ease-in-out;
	-moz-animation: test .5s ease-in-out;
 }

@keyframes test {
 /* from,
  20%,
  53%,
  80%,
  to {
   background: #fff;
  }*/

  40%,
  43% {
 opacity: 0;
   visibility: hidden;

  }

  70% {
  opacity: 0;
  visibility: hidden;
  }

  90% {

  visibility: visible;
  display: none;
  }
}

 .your-contnet-style.twoooo p{
 	width: auto;
 }


 @keyframes animName {
  0% {
    transform: translateX(0);
  }
  30% {
    transform: translateY(50px);
   
  }
  100% {
    transform: translateX(0);
  }
}


.purecss-slider-warp > input:nth-of-type(3):checked ~  ul li .demoallover .img {
  animation: animName 2s infinite;
}

.purecss-slider-warp > input:nth-of-type(3):checked ~  ul li .your-contnet-style h2 .color-bg {
	  animation: animNames 1s infinite;
}

 @keyframes animNames {
  0% {
    
    margin: 0px 10px;
  }
  30% {
    
    margin: 0px 20px;
  }
  100% {
   
    margin: 0px 10px;
  }
}